Bug 66438 - printconf does not generate print filters with margin adjust option as old printtool allowed
printconf does not generate print filters with margin adjust option as old pr...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.2
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-10 12:33 EDT by Wayne Pollock
Modified: 2014-01-21 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-04 23:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Pollock 2002-06-10 12:33:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (Win98; U)

Description of problem:
For the printer I use, text prints too close to the edges of the page.  Using the old printtool (for LPR not LPRng) you could add
margin offces from the GUI tool.  The generated print filter had an mpage command that looked like this:
mpage -b$mpage_paper -o -l -m${RTLFTMAR}lr -m${TOPBOTMAR}tb
The LPRng syste uses m4 to process print filters instead of shell, but the "-m" options are no longer generated in mf.cfg.
The new printconf tool (both -gui and -tui) no longer have the textboxes to enter these values.
I suspect thatthe larger selection of improved print drivers caused the development team to think this functionality was no
longer needed.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Use printconf
	

Actual Results:  /var/spool/lpd/<printername>/mf.cfg includes no -m options to the mpage command, used  in the:
define (`TEXTfilter', ...mpage...)
command

Expected Results:  -m options in the mf.cfg file for the text filter

Additional info:

A simple work-around is to hand-edit the mf.cfg file after using printconf.  But if printconf is ever used again you must remember to re-edit
the file.  This is a problem waiting to happen.  I wonder why this feature was dripped in the first place.  Certainly it is easy enough to
edit the Python backend script to add some defines and ifdefs for RTLFTMAR and TOPBOTMAR, and to update the front end
to have these text boxes.
Comment 1 Need Real Name 2002-07-18 21:09:30 EDT
I have the same problem.
The printtool that came with RedHat 6.2 was very handy and easy to use.
It was disappointing that the printool that came with RedHat 7.1 took
away the functionality of being able to adjust page margins. 
   Now it gets worse. With the printtool from RedHat 7.3, with printer
Driver for Tektronix Phaser 850, the option to select a different tray
(Media Source) had disappeared. I and many other people depended on this
feature for selecting plain paper/transparencies printing.
  It may seem trivial, but printing is a very important part of using a
computer, and something many people do frequently, and fixing the printtool
cannot be too hard. A simple workaround I guess is to replace an input
file to magic filter with the one from rh7.1 - in my system, the file is
/var/spool/lpd/<queue_id>/Postcript-157312.foo
  But this is unsatisfactory - some user in my department balked at the
idea of hacking system files. With this downward trend, the joke around
is what option will we lose with the next RedHat version - but my hope
is for an updated version of printtool appear in the download list soon.
Comment 2 Seth Vidal 2002-10-09 16:39:18 EDT
This is more or less what the -Z options are/were used for with lprng.

Though the question remains - what options can you pass to which drivers.

Comment 3 Seth Vidal 2004-05-04 23:31:59 EDT
Closing - lprng no longer ships - kprinter and cups ppds solves this
confusion.

Note You need to log in before you can comment on or make changes to this bug.